Description

DigiBuilder

DigiBuilder siBnsietca MHTpeencom ons YTeHust painnos aKCrnepruMeHTanbHbIX AaHHbIX - PE3YyNbTaToB paboTbl 6UBNMOTEKN
https://github.com/evovch/ACCULINNA_go4_user_library.

A TouyHee ¢painos, nosensowmxcsa nocne atana Calibration:
https://github.com/evovch/ACCULINNA_go4_user_library/blob/master/docu/DAQ_ER_diagram2.pdf.

Ha aTom aTane aaHHble NpencTaBneHbl B BUAE root fepeBa, B BETKax KOTOporo nexar o6bekThl knacca CalDetMessage .

B pamkax aToit 3apgaym npeanaraetcs HayumTb DigiBuilder pabotath ¢ CalDetMessage T0/bKO OT TENECKOMOB 1 BUMAeT.
OcrTanbHble netekTopbl OynyT nobasneHbl B nocneayowmx 3anadax.
Hano obkataTb cxemy.

DigiBuilder nonxeH 6biTb HacnenHukoM FairSource u peannsosaH no Nnpumepy
https://github.com/ExpertRootGroup/er/blob/dev/beamtime/ERRootSource.h .
MpocToe YTeHne cobbiThin N3 BHEWHero dparna ¢ nomowpto fTree->GetEntry();
3anyck nponcxoanT ¢ nomowpto FairRunOnline.

B pesynbTaTe paboTbl A0MXEH NONyYaTbCs root cpaiin B BeTKax KOTOpOoro fexar Anaxu.
Ha paHHbI MOMEHT L5 KaxAoro AeTeKTopa peanv3oBaH CBoW AnAXK, 6onee TOro, peanusoBaHbl AULXMN 415 pas3HbIX TUMOB
cTaHuuii neTekTopa (ans Teneckona otaensHo Ans Siv otaensHo ans Csl):

https://github.com/ExpertRootGroup/er/blob/dev/telescope/data/ERQTelescopeCsIDigi.h
https://github.com/ExpertRootGroup/er/blob/dev/telescope/data/ERQTelescopeSiDigi.h

https://github.com/ExpertRootGroup/er/blob/dev/BeamDet/data/ERBeamDetMWPCDigi.h
https://github.com/ExpertRootGroup/er/blob/dev/BeamDet/data/ERBeamDetTOFDigi.h

TakoW Noaxom XUBeT C fAaBHMX BPEMEHW U BbI3BaH TeM, 4TO agpecauuns digi peanuaoBaHa no pasHoMy A5 pa3HbIX TUMOB CTaHUUIA
N XpPaHUTCS B CAMOM ONOXMW:
K npumepy ons ToF ato fToFNb, a ons MWPC ato (fMWPCND + fPlaneNb + fWireNb)

Ha naHHbI MOMEHT Lnsi 6ONbLWMHCTBA LETEKTOPOB Mbl OT TaKOro NoaxoAa yXoamM u Bcs agpecauuns digi, KpoMe HoMepa kaHana
BHYTPW CTaHUUN XPaHNTCS B Ha3BaHWM BETKMW. CM Puc.

B cBsi3n ¢ aTm ByaeT BBeAeH oavH 6a30BbIfi Knacc LUAXMW coaepXxaluii B cebe BpeEMs U aMniuTyny, W B peakux cnyyasx 6ynyT
€030aBaTbCs €ro HacnegHNKN.

CTpykTypa Knaccos elie He nepegenaHa.

BHUMAHWE: He Hano ee nepenenbiBaTh B pamkax 3Toi 3agayun. 971o yneT caenaHo cpasy BO BCEM PENO3UTOPUM B paMKax
Opyron 3agayv u BeTKu.

B paMkax [aHHOWM 3aJa4v onsg Kaxgoro tuna AeTeKTopa 1 CTaHUuuMn B HEM B BETKY HaO0 CKnaablBaTb 06bekT cooTBeTCBYylOUWero
knacca. Tem 6onee, 4YTO 3TOT MexXaHuU3M HaM NpuroanTcs ona penkux cny4aes HacnenHMKoOB 6a30BOro knacca guoxu.

HaseaHue BeTku ons teneckona coopmmpyetcs kak ERQTelescope[Si,Csl]Digi_ [X|Y-ans oBHOCTOPOHHMX cTaHumid, XY|YX - ons
OBYXCTOPOHHMX]_[HOMEp CTaHUuUM JaHHOro Tmna(ogHOCTOPOHHER nnn ABycTopoHHen)]_[X|Y B cnyye OBYCTOPOHHEN]

Station_name - 6epeTcst u3 6a3bl faHHbIX: https:/github.com/ExpertRootGroup/er/blob/dev/db/QTelescope/QTelescopeParts.xml
DaKkTUYECKN SABRAETCA MOEHTUIUKATOPOM KOHKPETHOM Xene3kun 1 nosToMy A0NXKHO ObiTh YHMKaNbHbLIM. (Ha KapTUHKE 3T0 He Tak,
nonpasum)

HaseaHue BeTku ons BeamDet popmupyeTcs kak BeamDet[MWPC|ToF]Digi[ToFNb |X MWPCNb | Y MWPCND].

dakTmyeckmn cenyac ong Kaxaooro netekTopa NnpuMeHseTca CBoA cucteMa MMeHoOBaHNA BETKN. 9710 NOPOYHO, HAOO OT 3TOro
https://github.com/evovch/ACCULINNA_go4_user_library
https://github.com/evovch/ACCULINNA_go4_user_library/blob/master/docu/DAQ_ER_diagram2.pdf
https://github.com/ExpertRootGroup/er/blob/dev/beamtime/ERRootSource.h
https://github.com/ExpertRootGroup/er/blob/dev/telescope/data/ERQTelescopeCsIDigi.h
https://github.com/ExpertRootGroup/er/blob/dev/telescope/data/ERQTelescopeSiDigi.h
https://github.com/ExpertRootGroup/er/blob/dev/BeamDet/data/ERBeamDetMWPCDigi.h
https://github.com/ExpertRootGroup/er/blob/dev/BeamDet/data/ERBeamDetTOFDigi.h
https://github.com/ExpertRootGroup/er/blob/dev/db/QTelescope/QTelescopeParts.xml

YyXOOUTb.

Mpennarato BBeCTM Ha3BaHme BeTkn nNo cpopmarty: [Detector_type]_[Detector_name]_[Station_name] [agpecauus naHHOro
netekTopa]

Mpumep Telescope: Telescope_LeftTelescope_DoubleSI2_1_XY_X (Detector_name = LeftTelescope;
StationName=DoubleSI2;anpecauns naHHoro getektopa = 1_XY_X (CtaHuus nepeas B TENECKOMNE, K MULIEHN CMOTPUT CTOPOHA,
BOCTaHaBNMBatowWcs X, B JaHHO BETKE nexar AMAXW, BocTaHaBnmeawwme X) )

Mpumep BeamDet: BeamDet_AculBeamDet. MWPC1_1_X (Detector_name=AculBeamDet; Station_name=MWPC1, 1_X - nepsas
CTaHums no nyyky, BoctaHanmeaeT X)

Tak 4yTo He Hapo OPMEHTNPOBATbLCS Ha Te Ha3BaHWS BETOK, YTO Cevac BblgaloT ANAXUTNIATOPbI. HaBaiite KawepHble Ha3BaHus
BETOK CPOPMUPYEM B paMkax OaHHOW 3ada4yu, ocTanbHOe NoACTPOUM MOTOM.

Tak>xe npennaraw HavyaTb Nonb3oBaTbes cuctemoit Folders FairRoot, 4Tobbl BBECTY rpynnUPOBKMX BETOK AN yaobcTea
JanbHenwero ncnonb3oBaHnsg. Hanpumep:

Detector_type
Detector_name
Station_name

D70 NOMOXET anropnTMam PeKOHCTPYKLUMM NPOLLE UCKATb FPYMbl BETOK C KOTOPbIMU HEOBX0AMMO CoBepliaTh onepauum.
Station_name gonxHa 6bITb yHMKanNbHOM 1 6patbcs M3 xml 6asbl faHHbIX XENe30K.

Tak Kak, YT0 MMEHHO NUWETCS CO CTaHLUMUW: TONbKO BPEMS, aMNAnTyaa 1 BPEMS UNn 4To To elwe... MiHdopmaums 06 aToM gonxHa
6bITb NpeacTas/ieHa B setup.xml cpaiine.

B nanbHenwem mbl Hay4um DigiBuilder coxpaHaTb aTy nHgpopmaumio B FairRunTimeDB ¢ nomolubto knaccos Tuna
QTelescopeSetup, BeamDetSetup 1 1.4, KOTOpble OTBETCTBEHHbI NPEAOCTaBASATbL KlaccaM PEKOHCTPYKLMM UHTEPAENChl K JaHHOM
nHgpopmauun. HO He B pamkax aToin 3agayn!

MporpammucTkas 4acTtb:

ACCULINNA_go4_user_library nonxHa ymeTb MHCTanMTbCS:

./compile.sh ponxeH npuHnMath kak napameTtp install_prefix

Nyywe, ecnu npouenypa cbopku byaeT opopmneHa ¢ nomolubto cmake. sh ckpunThl - He Tpy.
M nocne make install unn Tuno Toro, B ykasaHHow install aupekTopuu

[IOMXHbI CO30aBaTbCs ANPEKTOPUN:

includes/
lib/

cmake npouenypa er HayumTcs paboTtb ¢ dpnarom -DACCULINNA_go4_user_library='install anpektopus’
no koTopoMy 6yneT co3aaBatb NepemMeHHble:

ACCULINNA_go4_user_library INCLUDES

ACCULINNA_go4_user_library_LIBS

Dob6asnatb nx B config.sh

W Tonbko B cnyyae Hanuuus atoro donara komnuantb DigiBuilder.

Knacc DigiBuilder nonxeH HaxoouTbcs B aMpekTopumn beamtime.

History

#1 - 07/12/2018 12:30 PM - Vitaliy Schetinin

- Description updated

#2 - 07/16/2018 01:19 PM - Vitaliy Schetinin

- Description updated

#3 - 07/17/2018 12:57 AM - Sergey Belogurov

EnvHcTBEHHOE 3amMedaHue, B nape Detecor type, Detector name Hano no3aboTWTbCs O ANVMHE Ha3BaHMiA BETOK, 4TOD Ux BbINo nerko
aHanuapoBartb.

MoaTtoMy Telescope_LeftTelescope... (oo e DEtECtOr_name = LeftTelescope) kaxeTcs N36bITOYHO ANVHHBIM.
Kak-To Hapo nokopoye Tlscp_LeftT, Hanpumep.

#4 - 08/20/2018 07:06 AM - Vitaliy Schetinin

- Assignee changed from Egor Ovcharenko to Vitaliy Schetinin

#5 - 09/13/2018 03:22 PM - Ivan Muzalevsky

Mpocb6bl

1) B makpoc digibuilder.C(NEvents) no6aBnTb BO3MOXHOCTb 06paboTku HECKONbKUX ¢hainos, CXOXMX MO MMEHW, NBOo cpasy Lienoi nanku ¢
thannamu.

Cpenatb Tak, 4To6bl, ecnn NEvents He 3anaH, To obpabatbiBaloTcs Bce cobbiTWS input chaitnos.

2) NobaBuTb OTOENBHYIO 3adayy, rae Mbl Gynem obwaTbcst 0 TOM, Kakue oTbopbl ceityac npumeHsioTcs B digibuilder u B reco.

3) Oob6asutb knactepusaumio MWPC (BbicuutbiBath koopauHaty B MWPC kak cpefHee apndMeTN4eckoe HOMEPOB 3aX XEHHbBIX MPOBOOYEK,
€C/n 3TO NPOBOJIOYKM PAAOM)

#6 - 09/17/2018 02:41 PM - Ivan Muzalevsky

1) MWPCtimes: BpeMeHHble gaHHble B BeTkax, oTHocswmxcsa K MWPC (Hanpumep BeamDetMWPCDigiX1.fTime), He nepeBoasaTcs B HAHOCEKYHAbI.
Hy>XHO yMHOXaTb 3Ha4YeHve BpemeHn Ha 0.125

2) ERQTelescopeSiDigi_Left_telescope_SingleSi_SQ300_X_0.fTime He kanmbpytoTcsi, HyXXHO YMHOXaTb 3Ha4YeHve Ha 0.3
3) ERQTelescopeCslIDigi_Left telescope_Csl_L_0.fTime nuwyTtcs TonbKO Hynu.
4)ERQTelescopeCsIDigi_Right_telescope_Csl|_R_0.fTime nuwyTcs TonbKo Hynm

5) Ha naHHbIii MOMEHT, nocne KoHeepTaumn Imd->root ¢ noMowpsio nocnenHelt Bepcum eropoeckoit 6ubnnotekm B BeTky DetEventCommon.trigger
nuiweTcs 3HaYeHue Tpurrepa. HyxHo, 4Tobbl ER ToXe 3anucbiBan 3To 3Ha4eHue.

B tacke ERBeamDetUnpack.cxx cTpokun 129-134 gonyckaioT, 470 B digi.root 6ynyT cobbiTus, rae He 3anucanocb Bpems MWPC, a Tonbko
amnauTyabl. Ham Takme cobbITUSi HE Hy XXHbI, UX MOXXHO BbiGpachiBaTh.

#7 - 09/18/2018 08:13 AM - Vitaliy Schetinin

1) NobaBnn 3Ha4eHne Tpurrepa B BoIxoLHOI dpaiin digibuilder.
https://github.com/ExpertRootGroup/er/commit/04f520cd04dc58d6dcdad34bbe0332799fb7912f

Cwm. BeTtky EventHeader.fTrigger
O6paty BHMaHWe Ha Heob6x0OMMOCTb [06aBUTb B MAKpOC CTPOKU:

ERBeamTimeEventHeader* header = new ERBeamTimeEventHeader();
run->SetEventHeader(header);
https://github.com/ExpertRootGroup/er/commit/04f520cd04dc58d6dcdad34bbe0332799fb7912f

2) Nobasun BpeMeHHble kannbpoeku u B MWPC 1 B Teneckonbl.
https://github.com/ExpertRootGroup/er/commit/6329d3f51367a9db5399087d08ae5bae91ead218

3) Monpaeswun Bce noru. Tenepb HXYEro He NuULweTcs BO BpeMsi obpaboTtku. Tonbko ecnu Bkntoumte DEBUG ypoBeHb Noros.
https://github.com/ExpertRootGroup/er/commit/9c997397ba232b917c3e12ce852dee6980e68ef1

#8 - 09/19/2018 09:20 AM - Vitaliy Schetinin

Mo nosony oT60poB.Jo6asun BoamoxHocTb UserCut B Digibilder n pacwupnn 8 ERRunAna.
YT0 970 3HAUMT? B er MOXHO npoLeccuTb He Bce cobbITUS BO BXOOHOM paiine. A TONbKO Te, KoTopble npownu Cut.
B cnyuae DigiBuilder B Makpoce 370 BbIrNSouT Tak:

builder->SetUserCut("Beam_detector_F3.@fDetMessages.GetEntriesFast() == 4");

Ctpoka B ckobkax? Ha caMoM aene? NofHOLEHHDBI pyToBckuii 06bekT Tuno TCut. To ecTb Tyna npsiMo B Makpoce MoxHo aobasutb 1 Graphical
Cut u Hanncatb, B NpuHUMne, ntoboe BbipaxXeHne, KOTopoe Mbl nuweM B tree->Draw(",cut)

MpedBKylwas BONPOC Npo @: 3TO TOXE HATUBHbIV PYTOBCKMIA CUHTAKCHC, MO3BONSOWMA 06paTtuTbest K 06 beKTY Konnekumn B aepese. Tak 4to
30€eCb 5 cpasdy OTPUNLTPOBAN COObLITUS, B KOTOPbLIX NMOYEMy TO aMnnnTyn B F3 MeHble, YeM 4. Takmx KCTaTvi MHOro

Takum 06pa3om MOXHO aneatb oT6opbl 0o digibuilder NpsiMo Ha cbipbiX LaHHbIX.
MoxHo nenatb oT6opbl Nocne AMXnbMnoep B MaKpoce PEKOHCTPYKLUM, K MPUMepy Tak:

run->SetUserCut("EventHeader.fTrigger==1");

MonbayiiTecT, noxanyincra.

#9 - 09/19/2018 09:23 AM - Vitaliy Schetinin

3abbin. YTobbl 3apaboTano, Hooo nogoxaatb noka Erop npumet https:/github.com/evovch/ACCULINNA_go4_user_library/pull/19

O6HoBuTb AccDaq master, 06HoBUTb er 210_digibuilder

#10 - 09/19/2018 03:00 PM - lvan Muzalevsky

Coenatb Tak, 4tobbl Npu 3anycke digibuilder, reco B TepMuHan BeiBoanncs nporpecc obpaboTku. Kaxasie 10000 cobbiTnil BbIBOA O TOM, CKONBKO
co6bITUiA 06paboTaHo 13 CKOMbKK, NMBO KaKow MPOLEHT BCex cobbITuii 0bpaboTaH.
https://github.com/ExpertRootGroup/er/commit/6329d3f51367a9db5399087d08ae5bae91ead218
https://github.com/ExpertRootGroup/er/commit/9c997397ba232b917c3e12ce852dee6980e68ef1
https://github.com/evovch/ACCULINNA_go4_user_library/pull/19

#11 - 09/24/2018 11:29 AM - Ivan Muzalevsky

HeobxonmMo nobaBuTb PyHKUMOHAN pacnapannenusaHus Makpocos digibuilder n reco Ha HECKOMbKO NMOTOKOB

Ins HopmanbHoi 06paboTku AaHHbIX HE06X0AMMO AenaTb 0TOOPbI N0 COBLITMAM. Ha AaHHbIA MOMEHT 3TOT (PYHKLIMOHAN KpaiiHe HeynobeH.
Moé npennoxeHue - co3natb HECKONBLKO BETOK, B KOTOPblE MOXHO ByaeT 3anuceiBaTb HEKME UHAMKATOPLI, donaru, Ans pasHbix 0TOOPOB.

To ecTb Npw BbINONHEHUN BbIGPAHHOMO YCNOBWS, 3HAYEHWIO COOTBETCTBYOWEro conara npuceansatb TRUE.
dnaros LONXHO BbITb AOCTATOYHO MHOIO

#12 - 09/24/2018 12:08 PM - lvan Muzalevsky

HY>XHO coenaTb Tak, 4Tobbl Cut' bl He pe3anu KoM4ecTBo CobbITUI, a 4ToBbI Ans cobbiTuli KoTopble He npownu oT60op, TClonnesArray He
3anoNHANUCH.
To ecTb ecnu cobbITUS He YOOBNETBOPSIET XOTb OAHOMY YC/IOBUMIO, TO BO BCeX BeTKax, paamep TClonesArray paseH 0.

#13 - 11/20/2018 03:14 PM - Ilvan Muzalevsky

Ha naHHbIi MOMEHT, B MeTone Bool_t ERTelescopeUnpack::ApplyCalibration kanubposka 3HaueHuUi BpeMeHW LenaeTcs cnenyowmnm
obpasoM: https:/github.com/ExpertRootGroup/er/blob/b491ec622a863692eaa615292831c91524bcd754/beamtime/unpack/ERTelescopeUnpack.cxx
#L.317

Hebxoaumo nameHuTb MeTo[ Kannbposku BpeMéH. HyXXHo caenatb 4TO-TO aHanornyHoe amnautyaam. B makpoce ponxeH coobwarbes nyTh K
haiiny c kanmbpoBoYHbIMM NapameTpamu. B dpaiine 6ynet HaxonuTbesa asa ctonbua ¢ kanmbpoBoyHbIMK NapameTpamm (pari par2). MapameTpsbl
MCNONb3YIOTCS ANS NMHEWHOW KanmbpoBKM ClnedyolwmmM 06pasom:

Time(ns) = time(channel)*par1 + par2

Lns Bcex KpEMHMEBbIX CTaHLWMA, Kak U L1s aMnauTya, Tak v Ans BpeMéH 6yanyT cBou KanubpoBoyHbIE NapameTpbi.

#14 - 11/20/2018 05:44 PM - lvan Muzalevsky
- File err.txt added
- File out.txt added
- File digi.C added

K coxanenuo y weHst He padoraer digibuilder.C na HOBX hanos u H0B0r0 Xmi-file

BCTPENAICh C TAKOR OLIMGKOR:
[FATAL ] [20.11.2018 16:59:24] [ERTelescopeUnpack cxc:CheckSetup:329] Amplitude station DSDX G ot found in setup configuration fel
[FATAL ][20.11.2018 16:59:24] We stop the execution of the process at this point

[FATAL ][20.11.2018 16:59:24] For later analysis we write a core dump to core_dump,_22128

OTKOHBEPTUPOBALHAA 0Ot (DaliN MOXHO B3ATH TyT: atiin.ustore/EXP20181 1/he8_05_0002.Imd.root

XML-file: atijin.rustore/EXP201811/myXML.xmI

Crugsisato noru cout u cerr digibuilder y cam waxpoc digibuilder. B apxnee NeXaT Bce NZpaMETp, KOTOPHIE HYXHO HCTIONb30BATE /N5 KANUGPOBOK. B HOBOM CETANE UIMEHWTACS FEOMETPHS ACTEKTOPOS, AOGABMNCS HOBLIA TENECKON: LIEHTPANSHAIR, TAKXE HIMEHEHS NpaBit i nesbil
22229292 229297972

Beam_detector

Right_telescope
#15 - 11/20/2018 05:47 PM - lvan Muzalevsky

- File parameters.tar.bz2 added

#16 - 11/22/2018 08:34 PM - Vitaliy Schetinin
- File digi.C added

- File parameters.zip added

Mo nocneaHemy coobuweHuto MeaHa:
Mpobnema Hbina B oneyaTkax B MAaKpoce N HELOCTATOYHO MHCPOPMATUBHOM cooblieHneM 06 ownbke ans Toro, YTobbl 3TO BbISBUTD.
MonpasneHHbIi Makpoc 1 0TpopMaTUpoBaHHbIe doainbl KannMbpPoBOK MPYKNaLbIBalo.

CoobueHune 06 owwnbke nonpaeneHo: https:/github.com/ExpertRootGroup/er/commit/b36a36d5d85c9e4224b68cd45bb890167deace16

#17 - 11/23/2018 11:18 AM - Ivan Muzalevsky

MpueeT! OBHapyxunocb Hebonbloe HeynobcTBo MeTona ERTelescopeUnpack::ReadCalFile

Mpw naHHOM anropuTMe CYMTbIBaHWS CTON6LOB B anemMeHTbl obbekTa TMatrixD BrXy cnyaytowee: ecnu B TEKCTOBOM ¢paiine BTopoli ctonbew He
3akaH4MBaeTCs POBHO Ha NocneAHel LMdpe Yicna, a ecTb eweé Kako HMbynb 0TCTYN OT HEro, TO BO3HMKaeT ownbka co cnenyowmm
coobuieHnem:

[FATAL ][23.11.2018 11:11:49] [ERTelescopeUnpack.cxx::ReadCalFile:300] Wrong file format in

3T0 TepnuMo, HO NPUYUHSET HeGoNbLYio 60/b, Tak KaK doarnbl NPUXOLUTCS POBHATL BPYYHYHO.
https://github.com/ExpertRootGroup/er/commit/b36a36d5d85c9e4224b68cd45bb890167deaee16

#18 - 12/03/2018 08:13 AM - Vitaliy Schetinin

Ivan Muzalevsky wrote:
Ha paHHbIi MOMeHT, B MeTone Bool_t ERTelescopeUnpack::ApplyCalibration kanubposka 3HaueHUii BpeMEHW AenaeTcs cnenyowmnm
obpasom: https://github.com/ExpertRootGroup/er/blob/b491ec622a863692eaa615292831c91524bcd754/beamtime/unpack/ERTelescopeUnpack
.CXx#L317
Hebxon1Mo n3MeHnTb MeTo KanubpoBkiu BpeMEH. Hy>XHO caenaTb YTO-TO aHanornyHoe amnamTynam. B makpoce aonxeH coobwarbes nyTb K
(paiiny ¢ kanmbpoBoYHbIMM NapameTpamu. B cpaiine 6ynet HaxoouTbes nga cronbua ¢ kanubpoBouHbIMU NapameTpamu (pari par2).
MapameTpbl UCMONb3YIOTCA ANS NMMHERHOW KanubpoBKM creayiowmnm obpasom:
Time(ns) = time(channel)*par1 + par2

Lns Bcex KpeMHMEBbBIX CTAHLWIA, KaK v LNg aMnauTyd, Tak v LN BpeMéH ByayT cBou KannbpoBOYHbIE MapamMeTpbi.

CnoenaHo

#19 - 12/03/2018 08:20 AM - Vitaliy Schetinin

WBaH, naBai ckoMMoHyeM Tekywuii cnucok gopaboTtok B digibuilder:
Ha paHHbI MOMEHT 13 3TOI NEepPEnnckn 8 BUXY cneayowme:

1. Coenatb Tak, 4Tobbl npu 3anycke digibuilder, reco B TepMuHan BbiBoamncs nporpecc o6pabotkun. Kax abie 10000 cobbITHii BLIBO O TOM, CKOMbKO
co6bITUiA 06paboTaHo N3 CKoNbKK, NMBO Kakol NPOLEHT BCeX COBbITUI 0OpaboTaH.

2. Heobxoavmo 1o6aBuTb (hyHKLMOHaN pacnapannenveaHns Makpocos digibuilder u reco Ha HECKOMbKO NOTOKOB
3. Habop npeTeH3uii K TOMy, Kak ycTpoeHbl 0TOopbI.

JlBa Bonpoca:

1. 970 Becb cnncok?

2. B 4eM KOHKpEeTHO npeTeH3nmn kK otTbopam? XKenatenbHo Ha KOHKPETHOM USe case.

#20 - 12/09/2018 10:45 PM - Ilvan Muzalevsky

Mpw ncnonb3osanum UserCut BbISCHUNOCH cnepytouee:
Ecnu naHHoe cobbiTve He npowno ycnosust otéopa, To XoTs pa3mep Bcex TClonesArray okasbiBaTecsi paBeH 0, 3HaueHue TpUrrepa TemM He MeHee
3ano/HAETCS 3HAYEHWSIMU, MPELNONOXMTENbHO PAaBHLIM 3HAYEHWIO TPUrTepa B NOCNEnHeM "HopManbHOM" cobbiTuu. (CobbiTre npolweawee 0T6op

UserCut). HyXHo Kak To nogouKkcuTb 3T0T Bar, niMbo He 3amnoNHATb COBCEM, NMBO 3anofHATL 6ECCMbICNIEHHBIM 3HAYEHUEM.

TakXe Hy>XHO No3BONNTb NONb30BATEND CaMOMy BbIGMPATb OMNLMUK COXPaHATb KOAM4ecTBO cobbiTuit nocne digibuilder unu pesatb, npu

ncnonb3oBaHum UserCut

#21 - 12/10/2018 06:48 AM - Vitaliy Schetinin

Monpaswun.
1. Korpa cobbiTue He npoxoauT kart, Tpurep B ero EventHeader 3anonHsetcs -1:

https://github.com/ExpertRootGroup/er/commit/f{078dbc2610c760b18c3f19dabed8a2e9e68a60c

2. B meTone ERDigibuilder::SetUserCut BBeaeH BTopoii napameTp - onuus fFillSkippedEvents.

Mo ymonyaHwuio oHa true 1 cobblTre, KOTOPOE He NMPOXOAWT KaT, nonagaeT B BbIXOAHOM doarin ¢ nycTeiMu TClonesArray.

Ecnu onuus false:

builder->SetUserCut("Beam_detector_F3.@fDetMessages.GetEntriesFast() == 4" kFALSE);

CobbiTue B BbIXOAHOW hain He nonaget. ByneT pazHoe KonM4ecTBO COObITW BO BXOOHOM U BbIXOOHOM cpaiine.

https://github.com/ExpertRootGroup/er/commit/0e13f326e2fb520868bab0aia509ca9e19875e74

#22 - 02/27/2019 07:11 AM - Vitaliy Schetinin
- Status changed from OrtkpsbiTa to 3akpeiTa

- % Done changed from 0 to 100

Files

digiTree.png 16.9 KB 07/11/2018 Vitaliy Schetinin
out.txt 1.79 KB 11/20/2018 lvan Muzalevsky
err.txt 25.3 KB 11/20/2018 lvan Muzalevsky
digi.C 3.52 KB 11/20/2018 Ivan Muzalevsky
parameters.tar.bz2 7.34 KB 11/20/2018 lvan Muzalevsky
digi.C 3.43 KB 11/22/2018 Vitaliy Schetinin
parameters.zip 12.3 KB 11/22/2018 Vitaliy Schetinin
